Bug 230100 - devel/cquery: Update to 20180718
Summary: devel/cquery: Update to 20180718
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Jochen Neumeister
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-07-28 09:44 UTC by yamagi
Modified: 2018-08-05 05:57 UTC (History)
2 users (show)

See Also:
henry.hu.sh: maintainer-feedback+


Attachments
devel/cquery: Update to 20180718 (2.16 KB, patch)
2018-07-28 09:44 UTC, yamagi
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description yamagi 2018-07-28 09:44:51 UTC
Created attachment 195521 [details]
devel/cquery: Update to 20180718

Hi,
the attached patch updates devel/cquery to version 20180718. The changes to the port are just the version bump and the now required 'pugixml' source code was added to the GH_TUPLE.

I've tested the port with poudriere on FreeBSD 11.1 and 11.2. Additionally I've run the new binary for some hours.

Regards,
Yamagi
Comment 1 Henry Hu 2018-08-02 02:55:53 UTC
Thanks, please commit it.
Comment 2 commit-hook freebsd_committer 2018-08-05 05:57:20 UTC
A commit references this bug:

Author: joneum
Date: Sun Aug  5 05:57:03 UTC 2018
New revision: 476391
URL: https://svnweb.freebsd.org/changeset/ports/476391

Log:
  devel/cquery: Update to 20180718

  Changelog: https://github.com/cquery-project/cquery/releases

  PR:		230100
  Submitted by:	yamagi@yamagi.org
  Approved by:	maintainer

Changes:
  head/devel/cquery/Makefile
  head/devel/cquery/distinfo
Comment 3 Jochen Neumeister freebsd_committer 2018-08-05 05:57:41 UTC
Committed. Please try to find links to release notes or changelogs
for the next updates. Without those, it's difficult to understand
what happened. Thanks :-)